# Migration Guide 0.3.0 - 0.4.0

For more details, see the [changelog](/CHANGELOG.md)

Update your kyt dependency to `0.4.0` and reinstall your dependencies.

## Create a .babelrc

1. If you are running a react app, install _babel-preset-kyt-react_:

```shell
$ npm install --save-dev babel-preset-kyt-react
```

2. Create `.babelrc` file with the kyt presets:

```json
{
  "presets": ["babel-preset-kyt-react"],
  "plugins": []
}
```

3. Remove any presets or plugins from your `kyt.config.js` and add them to `.babelrc`.

## Use kyt's new linter packages

In your .eslintrc.json:

```json
"extends": [
  "eslint-config-kyt"
]
```

Read about the eslint rules kyt uses [here](/packages/eslint-config-kyt).

In your .stylelintrc:

```json
"extends": "stylelint-config-kyt"
```

Read about the stylelint rules kyt uses [here](/packages/stylelint-config-kyt).

## Update package.json

Update pacakge.json scripts to reflect the updated and deprecated commands.

1. `npm run lint`: `kyt lint-script`
2. `npm run start`: `node build/server/main.js`
